package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人贷款信息对象 tgjj_dkxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjDkxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 借款合同编号 */
    @Excel(name = "借款合同编号")
    private String JKHTBH;

    /** 购房合同编号 */
    @Excel(name = "购房合同编号")
    private String GFHTBH;

    /** 受委托银行名称 */
    @Excel(name = "受委托银行名称")
    private String SWTYHMC;

    /** 受委托银行代码 */
    @Excel(name = "受委托银行代码")
    private String SWTYHDM;

    /** 贷款担保类型 */
    @Excel(name = "贷款担保类型")
    private String DKDBLX;

    /** 约定放款日期 */
    @Excel(name = "约定放款日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date YDFKRQ;

    /** 约定到期日期 */
    @Excel(name = "约定到期日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date YDDQRQ;

    /** 贷款还款方式 */
    @Excel(name = "贷款还款方式")
    private String DKHKFS;

    /** 还款账号 */
    @Excel(name = "还款账号")
    private String HKZH;

    /** 账户开户银行代码 */
    @Excel(name = "账户开户银行代码")
    private String ZHKHYHDM;

    /** 合同贷款金额 */
    @Excel(name = "合同贷款金额")
    private BigDecimal HTDKJE;

    /** 贷款类型 */
    @Excel(name = "贷款类型")
    private String DKLX;

    /** 贷款期数 */
    @Excel(name = "贷款期数")
    private Long DKQS;

    /** 房屋坐落 */
    @Excel(name = "房屋坐落")
    private String FWZL;

    /** 房屋建筑面积 */
    @Excel(name = "房屋建筑面积")
    private BigDecimal FWJZMJ;

    /** 房屋套内面积 */
    @Excel(name = "房屋套内面积")
    private BigDecimal FWTNMJ;

    /** 房屋性质 */
    @Excel(name = "房屋性质")
    private String FWXZ;

    /** 房屋总价 */
    @Excel(name = "房屋总价")
    private BigDecimal FWZJ;

    /** 借款合同利率 */
    @Excel(name = "借款合同利率")
    private BigDecimal JKHTLL;

    /** 利率浮动比例 */
    @Excel(name = "利率浮动比例")
    private BigDecimal LLFDBL;

    /** 购房首付款 */
    @Excel(name = "购房首付款")
    private BigDecimal GFSFK;

    /** 借款人公积金账号 */
    @Excel(name = "借款人公积金账号")
    private String JKRGJJZH;

    /** 借款人姓名 */
    @Excel(name = "借款人姓名")
    private String JKRXM;

    /** 借款人证件类型 */
    @Excel(name = "借款人证件类型")
    private String JKRZJLX;

    /** 借款人证件号 */
    @Excel(name = "借款人证件号")
    private String JKRZJH;

    /** 售房人名称 */
    @Excel(name = "售房人名称")
    private String SFRMC;

    /** 售房人账户号码 */
    @Excel(name = "售房人账户号码")
    private String SFRZHHM;

    /** 售房人开户银行代码 */
    @Excel(name = "售房人开户银行代码")
    private String SFRKHYHDM;

    /** 借款合同签订日期 */
    @Excel(name = "借款合同签订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date JKHTQDRQ;

    /** 约定还款日 */
    @Excel(name = "约定还款日")
    private String YDHKR;

    /** 贷款账号 */
    @Excel(name = "贷款账号")
    private String DKZH;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 房屋证书类型 */
    @Excel(name = "房屋证书类型")
    private String FWZSLX;

    /** 房屋证书号码 */
    @Excel(name = "房屋证书号码")
    private String FWZSHM;

    /** 购房类型 */
    @Excel(name = "购房类型")
    private String GFLX;

    /** 贷款地 */
    @Excel(name = "贷款地")
    private String DKD;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setJKHTBH(String JKHTBH)
    {
        this.JKHTBH = JKHTBH;
    }

    public String getJKHTBH()
    {
        return JKHTBH;
    }
    public void setGFHTBH(String GFHTBH)
    {
        this.GFHTBH = GFHTBH;
    }

    public String getGFHTBH()
    {
        return GFHTBH;
    }
    public void setSWTYHMC(String SWTYHMC)
    {
        this.SWTYHMC = SWTYHMC;
    }

    public String getSWTYHMC()
    {
        return SWTYHMC;
    }
    public void setSWTYHDM(String SWTYHDM)
    {
        this.SWTYHDM = SWTYHDM;
    }

    public String getSWTYHDM()
    {
        return SWTYHDM;
    }
    public void setDKDBLX(String DKDBLX)
    {
        this.DKDBLX = DKDBLX;
    }

    public String getDKDBLX()
    {
        return DKDBLX;
    }
    public void setYDFKRQ(Date YDFKRQ)
    {
        this.YDFKRQ = YDFKRQ;
    }

    public Date getYDFKRQ()
    {
        return YDFKRQ;
    }
    public void setYDDQRQ(Date YDDQRQ)
    {
        this.YDDQRQ = YDDQRQ;
    }

    public Date getYDDQRQ()
    {
        return YDDQRQ;
    }
    public void setDKHKFS(String DKHKFS)
    {
        this.DKHKFS = DKHKFS;
    }

    public String getDKHKFS()
    {
        return DKHKFS;
    }
    public void setHKZH(String HKZH)
    {
        this.HKZH = HKZH;
    }

    public String getHKZH()
    {
        return HKZH;
    }
    public void setZHKHYHDM(String ZHKHYHDM)
    {
        this.ZHKHYHDM = ZHKHYHDM;
    }

    public String getZHKHYHDM()
    {
        return ZHKHYHDM;
    }
    public void setHTDKJE(BigDecimal HTDKJE)
    {
        this.HTDKJE = HTDKJE;
    }

    public BigDecimal getHTDKJE()
    {
        return HTDKJE;
    }
    public void setDKLX(String DKLX)
    {
        this.DKLX = DKLX;
    }

    public String getDKLX()
    {
        return DKLX;
    }
    public void setDKQS(Long DKQS)
    {
        this.DKQS = DKQS;
    }

    public Long getDKQS()
    {
        return DKQS;
    }
    public void setFWZL(String FWZL)
    {
        this.FWZL = FWZL;
    }

    public String getFWZL()
    {
        return FWZL;
    }
    public void setFWJZMJ(BigDecimal FWJZMJ)
    {
        this.FWJZMJ = FWJZMJ;
    }

    public BigDecimal getFWJZMJ()
    {
        return FWJZMJ;
    }
    public void setFWTNMJ(BigDecimal FWTNMJ)
    {
        this.FWTNMJ = FWTNMJ;
    }

    public BigDecimal getFWTNMJ()
    {
        return FWTNMJ;
    }
    public void setFWXZ(String FWXZ)
    {
        this.FWXZ = FWXZ;
    }

    public String getFWXZ()
    {
        return FWXZ;
    }
    public void setFWZJ(BigDecimal FWZJ)
    {
        this.FWZJ = FWZJ;
    }

    public BigDecimal getFWZJ()
    {
        return FWZJ;
    }
    public void setJKHTLL(BigDecimal JKHTLL)
    {
        this.JKHTLL = JKHTLL;
    }

    public BigDecimal getJKHTLL()
    {
        return JKHTLL;
    }
    public void setLLFDBL(BigDecimal LLFDBL)
    {
        this.LLFDBL = LLFDBL;
    }

    public BigDecimal getLLFDBL()
    {
        return LLFDBL;
    }
    public void setGFSFK(BigDecimal GFSFK)
    {
        this.GFSFK = GFSFK;
    }

    public BigDecimal getGFSFK()
    {
        return GFSFK;
    }
    public void setJKRGJJZH(String JKRGJJZH)
    {
        this.JKRGJJZH = JKRGJJZH;
    }

    public String getJKRGJJZH()
    {
        return JKRGJJZH;
    }
    public void setJKRXM(String JKRXM)
    {
        this.JKRXM = JKRXM;
    }

    public String getJKRXM()
    {
        return JKRXM;
    }
    public void setJKRZJLX(String JKRZJLX)
    {
        this.JKRZJLX = JKRZJLX;
    }

    public String getJKRZJLX()
    {
        return JKRZJLX;
    }
    public void setJKRZJH(String JKRZJH)
    {
        this.JKRZJH = JKRZJH;
    }

    public String getJKRZJH()
    {
        return JKRZJH;
    }
    public void setSFRMC(String SFRMC)
    {
        this.SFRMC = SFRMC;
    }

    public String getSFRMC()
    {
        return SFRMC;
    }
    public void setSFRZHHM(String SFRZHHM)
    {
        this.SFRZHHM = SFRZHHM;
    }

    public String getSFRZHHM()
    {
        return SFRZHHM;
    }
    public void setSFRKHYHDM(String SFRKHYHDM)
    {
        this.SFRKHYHDM = SFRKHYHDM;
    }

    public String getSFRKHYHDM()
    {
        return SFRKHYHDM;
    }
    public void setJKHTQDRQ(Date JKHTQDRQ)
    {
        this.JKHTQDRQ = JKHTQDRQ;
    }

    public Date getJKHTQDRQ()
    {
        return JKHTQDRQ;
    }
    public void setYDHKR(String YDHKR)
    {
        this.YDHKR = YDHKR;
    }

    public String getYDHKR()
    {
        return YDHKR;
    }
    public void setDKZH(String DKZH)
    {
        this.DKZH = DKZH;
    }

    public String getDKZH()
    {
        return DKZH;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setFWZSLX(String FWZSLX)
    {
        this.FWZSLX = FWZSLX;
    }

    public String getFWZSLX()
    {
        return FWZSLX;
    }
    public void setFWZSHM(String FWZSHM)
    {
        this.FWZSHM = FWZSHM;
    }

    public String getFWZSHM()
    {
        return FWZSHM;
    }
    public void setGFLX(String GFLX)
    {
        this.GFLX = GFLX;
    }

    public String getGFLX()
    {
        return GFLX;
    }
    public void setDKD(String DKD)
    {
        this.DKD = DKD;
    }

    public String getDKD()
    {
        return DKD;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("JKHTBH", getJKHTBH())
            .append("GFHTBH", getGFHTBH())
            .append("SWTYHMC", getSWTYHMC())
            .append("SWTYHDM", getSWTYHDM())
            .append("DKDBLX", getDKDBLX())
            .append("YDFKRQ", getYDFKRQ())
            .append("YDDQRQ", getYDDQRQ())
            .append("DKHKFS", getDKHKFS())
            .append("HKZH", getHKZH())
            .append("ZHKHYHDM", getZHKHYHDM())
            .append("HTDKJE", getHTDKJE())
            .append("DKLX", getDKLX())
            .append("DKQS", getDKQS())
            .append("FWZL", getFWZL())
            .append("FWJZMJ", getFWJZMJ())
            .append("FWTNMJ", getFWTNMJ())
            .append("FWXZ", getFWXZ())
            .append("FWZJ", getFWZJ())
            .append("JKHTLL", getJKHTLL())
            .append("LLFDBL", getLLFDBL())
            .append("GFSFK", getGFSFK())
            .append("JKRGJJZH", getJKRGJJZH())
            .append("JKRXM", getJKRXM())
            .append("JKRZJLX", getJKRZJLX())
            .append("JKRZJH", getJKRZJH())
            .append("SFRMC", getSFRMC())
            .append("SFRZHHM", getSFRZHHM())
            .append("SFRKHYHDM", getSFRKHYHDM())
            .append("JKHTQDRQ", getJKHTQDRQ())
            .append("YDHKR", getYDHKR())
            .append("DKZH", getDKZH())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("FWZSLX", getFWZSLX())
            .append("FWZSHM", getFWZSHM())
            .append("GFLX", getGFLX())
            .append("DKD", getDKD())
            .append("CLLX", getCLLX())
            .toString();
    }
}
